Subject: Re: bug#13496: 24.3.50; C-x v v in local CVS projects hangs

From: Harald Maier <[email-masked]>
Date: Sat, 26 Jan 2013 10:21:53 +0100

Hello Glenn,

I did your test case on various systems with revision 111607. On all systems "C-x v v" did not work!

All changes applied successfully.                                              
Now on revision 111607.

Start emacs with:

$ src/emacs -Q /tmp/foo

  /tmp/foo:
  total used in directory 12 available 27576720
  drwxrwxr-x.  3 maierha maierha 4096 Jan 20 17:41 .
  drwxrwxrwt. 26 root    root    4096 Jan 26 10:05 ..
  drwxrwxr-x.  3 maierha maierha 4096 Jan 20 17:41 CVS
  -rw-rw-r--.  1 maierha maierha    0 Jan 20 17:27 file
  -r--r--r--.  1 maierha maierha    0 Jan 20 17:27 file.~1.1.1.1.~

Now open "file" and do "C-x v v". Emacs hangs and I have to do a "C-g".

Debugger entered--Lisp error: (quit)
  get-file-buffer("/tmp/foo/file")
  vc-next-action(nil)
  call-interactively(vc-next-action nil nil)

Additionally in the "*Messages*" buffer I find sometimes but not always:

ad-handle-definition: `vc-print-log' got redefined

With emacs-24.1 all works fine.

Harald

Am 19.01.2013 um 21:23 schrieb Glenn Morris <[email-masked]>:

> Harald Maier wrote:
> 
>> C-x v v (vc-next-action) on local CVS projects hangs. I have to quit the
>> action with C-g. Nothing happens else. The problem exists also under
>> GNU/Linux. 
>> 
>> Harald
>> 
>> Debugger entered--Lisp error: (quit)
>>  get-file-buffer("/Users/maierh/local/wiki/emacs/EmacsBackup")
>>  vc-next-action(nil)
>>  call-interactively(vc-next-action nil nil)
> 
> Works for me. Please give a complete recipe starting from emacs -Q.
> Mine:
> 
> mkdir /tmp/cvsroot
> export CVSROOT=/tmp/cvsroot/
> cvs init
> mkdir /tmp/foo
> cd /tmp/foo
> touch file
> cvs import -m "import" foo VENDOR RELEASE
> cd ../
> rm -rf foo
> cvs co foo
> cd foo
> emacs -Q file 
> 
> make some changes to file, save, C-x v v, file checks in fine.
> Press C-x v v again, "Fileset is up-to-date", as expected.